* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
}

:root {
    --primaryColor: #00B2FF;
}

/* Global Styles */
button:hover,
button:focus,
input:hover,
input:focus {
    outline: none;
}

a {
    text-decoration: none;
}

.container {
    width: 70%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: auto;
}

/* Navigation Bar */
header {
    width: 100%;
    height: 100vh;
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(../images/Hero\ Bg.jpg);
    background-size: cover;
    background-position: center;
}

header nav {
    width: 100%;
    height: 100px;
}

header nav .logo a {
    color: #fff;
    font-size: 30px;
    font-weight: 500;
}

header nav ul {
    display: flex;
    list-style: none;
}

header nav ul li {
    margin-left: 25px;
}

header nav ul li a {
    color: #fff;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

header nav ul li:hover a {
    color: var(--primaryColor);
}

/* Hero Section */
section.hero {
    width: 100%;
    height: 85%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #fff;
}

section.hero h3 {
    font-size: 30px;
    font-weight: 400;
    margin-bottom: 20px;
}

section.hero h1 {
    font-size: 50px;
    margin-bottom: 30px;
}

section.hero h1 span {
    color: var(--primaryColor);
}

section.hero p {
    text-align: center;
    padding: 0 500px;
    color: #f5f5f5;
    margin-bottom: 100px;
}

section.hero button {
    width: 170px;
    height: 60px;
    background: none;
    border: none;
    border: 1px solid #fff;
    color: #fff;
    font-size: 18px;
    border-radius: 50px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    -ms-border-radius: 50px;
    -o-border-radius: 50px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -ms-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}

section.hero button:hover {
    background: #fff;
    color: #000;
}

/* About Section */
.about {
    width: 100%;
    height: 70vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.about .about-wrapper {
    width: 70%;
    height: 100%;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    justify-content: center;
    align-items: center;
}

.about .about-wrapper .about-left {
    width: 550px;
    height: 402px;
    border: 5px solid #f5f5f5;
    border-radius: 2px;
    -webkit-border-radius: 2px;
    -moz-border-radius: 2px;
    -ms-border-radius: 2px;
    -o-border-radius: 2px;
}

.about .about-wrapper .about-left img {
    width: 100%;
    height: 100%;
}

.about .about-wrapper .about-right h1 {
    font-size: 30px;
    margin-bottom: 20px;
    font-weight: 400;
}

.about .about-wrapper .about-right h2 {
    font-weight: 400;
    font-size: 25px;
    margin-bottom: 30px;
}

.about .about-wrapper .about-right h2 span {
    color: var(--primaryColor);
}

.about .about-wrapper .about-right p {
    color: #777;
    margin-bottom: 20px;
}

.about .about-wrapper .about-right .about-social-icons {
    margin-top: 40px;
    display: flex;
}

.about .about-wrapper .about-right .about-social-icons a {
    text-decoration: none;
    color: #111;
}

.about .about-wrapper .about-right .about-social-icons a i {
    border: 2px solid #d4d4d4;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transition: 0.3s ease;
    -webkit-transition: 0.3s ease;
    -moz-transition: 0.3s ease;
    -ms-transition: 0.3s ease;
    -o-transition: 0.3s ease;
}

.about .about-wrapper .about-right .about-social-icons a:hover i {
    border-color: var(--primaryColor);
    color: var(--primaryColor);
}

/* Services Section */
.services {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #f5f5f5;
    padding: 100px 0px;
}

.services .services-container {
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.services .services-container h1 {
    font-size: 35px;
    font-weight: 400;
    margin-bottom: 20px;
}

.services .services-container h1 span {
    color: var(--primaryColor);
}

.services .services-container p.subtitle {
    color: #555;
}

.services .services-container .services-wrapper {
    margin-top: 100px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.services .services-container .services-wrapper .service {
    border: 1px solid #d4d4d4;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    padding: 30px 10px;
    margin-right: 30px;
    margin-bottom: 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.services .services-container .services-wrapper .service span i {
    color: var(--primaryColor);
    font-size: 60px;
}

.services .services-container .services-wrapper .service h2 {
    font-size: 20px;
    font-weight: 400;
    margin: 20px 0;
}

.services .services-container .services-wrapper .service .services-line {
    width: 30px;
    height: 2px;
    background: var(--primaryColor);
    margin-bottom: 20px;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.services .services-container .services-wrapper .service p {
    color: #555;
}

.services .services-container .services-wrapper .service:hover .services-line {
    width: 60px;
}

/* Available For Freelancer Section */
.available {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 100px 0px;
}

.available h1 {
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 30px;
}

.available button {
    width: 150px;
    height: 50px;
    background: var(--primaryColor);
    border: none;
    color: #fff;
    font-size: 18px;
    cursor: pointer;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.available button:hover {
    opacity: 0.8;
}

/* Testimonial Section */
.testimonial {
    padding: 100px 0px;
    background: #f5f5f5;
}

.testimonial .testimonial-container {
    max-width: 1152px;
    padding: 0 15px;
    margin: 0 auto;
}

.testimonial .testimonial-container h1 {
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 30px;
    text-align: center;
}

.testimonial .testimonial-container h1 span {
    color: var(--primaryColor);
}

.testimonial .testimonial-container p.subtitle {
    color: #555;
    text-align: center;
}

.testimonial .slider {
    margin-top: 100px;
}

.testimonial .slider .slide {
    text-align: center;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding: 0 10rem;
    outline: none;
}

.testimonial .slider .slide img {
    border-radius: 50%;
    -webkit-border-radius: 50%;
    object-fit: cover;
    margin-bottom: 2rem;
}

.testimonial .slider .slide p {
    margin-bottom: 20px;
    color: #555;
    display: flex;
    flex-direction: column;
    font-size: 14px;
}

.testimonial .slider .slide span {
    font-size: 0.8rem;
    margin-top: 20px;
    color: #111;
    font-size: 15px;
}

.testimonial .slider-dots {
    margin-top: 3rem;
}

.testimonial .slider-dots .dots {
    list-style-type: none;
    display: flex !important;
    justify-content: center;

}

.testimonial .slider-dots button {
    font-size: 0px;
    width: 8px;
    height: 5px;
    margin-right: 0.3rem;
    border: none;
    outline: none;
    background: #999;
    cursor: pointer;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    -ms-border-radius: 100px;
    -o-border-radius: 100px;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
}

.testimonial .dots li.slick-active button {
    background: var(--primaryColor);
    width: 20px;
}

/* Portfolio Section */
.portfolio {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 100px 0px;
}

.portfolio .portfolio-container {
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.portfolio .portfolio-container h1 {
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 30px;
    text-align: center;
}

.portfolio .portfolio-container h1 span {
    color: var(--primaryColor);
}

.portfolio .portfolio-container p.subtitle {
    color: #555;
    text-align: center;
}

.portfolio .portfolio-container .works-wrapper {
    margin-top: 100px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
}

.portfolio .portfolio-container .works-wrapper .work {
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all 1s ease;
    -webkit-transition: all 1s ease;
    -moz-transition: all 1s ease;
    -ms-transition: all 1s ease;
    -o-transition: all 1s ease;
}

.portfolio .portfolio-container .works-wrapper .work:nth-child(1) {
    margin-bottom: 10px;
}

.portfolio .portfolio-container .works-wrapper .work:nth-child(2) {
    margin-bottom: 10px;
}

.portfolio .portfolio-container .works-wrapper .work:nth-child(3) {
    margin-bottom: 10px;
}

.portfolio .portfolio-container .works-wrapper .work-center {
    margin: 0 10px;
}

.portfolio .portfolio-container .works-wrapper .work .image {
    width: 350px;
    position: relative;
}

.portfolio .portfolio-container .works-wrapper .image img {
    width: 100%;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.portfolio .portfolio-container .works-wrapper .image:hover .image-overlay {
    display: block;
}

.portfolio .portfolio-container .works-wrapper .work .image-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 97%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7));
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    display: none;
}

.portfolio .portfolio-container .works-wrapper .work .image-overlay .text {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.portfolio .portfolio-container .works-wrapper .work .image-overlay .text p {
    color: rgba(255, 255, 255, 0.6);
}

.portfolio .portfolio-container .works-wrapper .work .image-overlay .text h3 {
    color: #fff;
    font-weight: 400;
}

/* Blog Section */
.blog {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #f5f5f5;
    padding: 100px 0px;
}

.blog .blog-container {
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.blog .blog-container h1 {
    font-size: 35px;
    font-weight: 400;
    margin-bottom: 20px;
}

.blog .blog-container h1 span {
    color: var(--primaryColor);
}

.blog .blog-container p.subtitle {
    color: #555;
}

.blog .blog-container .blog-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
    margin-top: 70px;
}

.blog .blog-container .blog-wrapper .post {
    width: 350px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background: #fff;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.blog .blog-container .blog-wrapper .post:nth-child(1) {
    margin-right: 20px;
}

.blog .blog-container .blog-wrapper .post .post-img {
    width: 95%;
    height: 40%;
    margin-top: 8px;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    overflow: hidden;
}

.blog .blog-container .blog-wrapper .post .post-img img {
    width: 100%;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
    transition: all 0.3s ease;
    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    cursor: pointer;
}

.blog .blog-container .blog-wrapper .post .post-img img:hover {
    transform: scale(1.2);
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    -o-transform: scale(1.2);
}

.blog .blog-container .blog-wrapper .post .post-contents {
    padding: 10px;
}

.blog .blog-container .blog-wrapper .post .post-contents h3 {
    color: #333;
    margin-bottom: 10px;
}

.blog .blog-container .blog-wrapper .post .post-contents h5 {
    color: #777;
    font-weight: 400;
    margin-bottom: 10px;
}

.blog .blog-container .blog-wrapper .post .post-contents h5 span {
    color: var(--primaryColor);
}

.blog .blog-container .blog-wrapper .post .post-contents p {
    margin-bottom: 10px;
    color: #777;
}

.blog .blog-container .blog-wrapper .post .post-contents a {
    text-decoration: none;
    color: #777;
    transition: all 0.2s ease;
    -webkit-transition: all 0.2s ease;
    -moz-transition: all 0.2s ease;
    -ms-transition: all 0.2s ease;
    -o-transition: all 0.2s ease;
}

.blog .blog-container .blog-wrapper .post .post-contents a:hover {
    color: #555;
}

/* Contact Section */
.contact {
    width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding: 100px 0px;
}

.contact .contact-container {
    width: 70%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contact .contact-container h1 {
    font-size: 35px;
    font-weight: 400;
    margin-bottom: 20px;
}

.contact .contact-container h1 span {
    color: var(--primaryColor);
}

.contact .contact-container p.subtitle {
    color: #555;
}

.contact .contact-container .contact-details-wrapper {
    width: 80%;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
    align-items: center;
    margin-top: 70px;
}

.contact .contact-container .contact-details-wrapper .contact-detail {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.contact .contact-container .contact-details-wrapper .contact-detail span i {
    color: var(--primaryColor);
    font-size: 30px;
}

.contact .contact-container .contact-details-wrapper .contact-detail h2 {
    color: #333;
    margin-top: 20px;
    margin-bottom: 5px;
    font-size: 18px;
}

.contact .contact-container .contact-details-wrapper .contact-detail p {
    color: #555;
}

.contact .contact-container .contact-form {
    width: 70%;
    display: flex;
    flex-direction: column;
    margin-top: 50px;
}

.contact .contact-container .contact-form .input-group input {
    width: 100%;
    height: 50px;
    margin-top: 20px;
    padding-left: 10px;
    border: 2px solid #d4d4d4;
    border-radius: 5px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    -ms-border-radius: 5px;
    -o-border-radius: 5px;
}

.contact .contact-container .contact-form .input-group input:focus {
    border-color: var(--primaryColor);
}

.contact .contact-container .contact-form .message-group input {
    height: 150px;
    display: flex;
}

.contact .contact-container .contact-form .first-input-group {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 20px;
}

/* Footer Section */
footer {
    background: #242424;
    padding: 50px 0px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

footer .footer-social-icons {
    display: flex;
    margin-bottom: 20px;
}

footer .footer-social-icons a {
    text-decoration: none;
    color: #fff;
}

footer .footer-social-icons a i {
    background: #343434;
    width: 40px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: 10px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transition: 0.3s ease;
    -webkit-transition: 0.3s ease;
    -moz-transition: 0.3s ease;
    -ms-transition: 0.3s ease;
    -o-transition: 0.3s ease;
}

footer .footer-social-icons a:hover i {
    color: var(--primaryColor);
}

footer p {
    color: #fff;
}